#include "TestCommon.h"

/* Print the start infomation of a test case */
void print_test_start(const uint8_t *i_p_test_case)
{
  printf("\r\n------------------ %s Start ------------------\r\n\r\n", i_p_test_case);
}

/* Print the end infomation of a test case */
void print_test_end(const uint8_t *i_p_test_case)
{
  printf("\r\n------------------ %s End --------------------\r\n", i_p_test_case);
}

/* The refered result printing of Single Step Debug result */
void print_refered_single_debug_res(uint8_t *i_p_refered_info)
{
  printf("For more information, Please refer to\r\n%s\r\n\r\n", i_p_refered_info);
}

/* Print current test step */
void print_test_step(const uint8_t i_cur_step)
{
  printf("\r\n#### Step %d ####\r\n", i_cur_step);
}

/* Delay function */
void sys_delay(uint32_t i_delay_time)
{
  volatile uint32_t l_cnt = i_delay_time;
  while(l_cnt--);
}
